# mongoc_stream_tls_do_handshake()

## Synopsis

    bool
    mongoc_stream_tls_do_handshake (mongoc_stream_t *stream,
                                    int32_t          timeout_msec);

## Parameters

stream | A mongoc_stream_tls_t.
timeout_msec | A timeout, in milliseconds, for the handshake.

This function shall perform an SSL handshake on the underlying stream.

## Returns

The mongoc_stream_tls_do_handshake() function returns true if the handshake was successful. If false, errno or openssl errors may be set.